format_version: '1.0'

repository_url: https://github.com/kevinlawler/kona

sequence:
  base_version:
    input_file: '54153d55.zip'
    commit_sha1: 54153d55ac34dc927808e5cfa97a2382bc15b332
  fix_attempt:
    - input_file: 'a80826ff.diff'
      commit_sha1: a80826ff631149942fd0f0a2bdbaa6f30628c996
    - input_file: 'f924299f.diff'
      commit_sha1: f924299f0b710171853a93cede1ad344c1c95595
    - input_file: '4edc6778.diff'
      commit_sha1: 4edc677837c377893a4f07fbd15feefacf542394
    - input_file: '1ad8421d.diff'
      commit_sha1: 1ad8421ddb19b45076f0d920ed0849e2ffd352ef
    - input_file: '368eaa06.diff'
      commit_sha1: 368eaa067a5e3d041be7f624e379d159016b1da8
    - input_file: 'f99ab0c3.diff'
      commit_sha1: f99ab0c394ed0cfee352d28b07a39873daeffcc3
    - input_file: '5323497d.diff'
      commit_sha1: 5323497db918eb478bc45e4f8ff2528ba5758951
    
  expected_fix:
    input_file: '5964d295.diff'
    commit_sha1: 5964d295f51c9f5da2208adc5bcb2448f6903e77

  
classification: partial fix
categories:
  - control-flow

  
metadata:
  language: C
  strategy: reopen
  build_system: ['make']
  related_issue: https://github.com/kevinlawler/kona/issues/198
